Reference
View as MarkdownAudit API
Audit log.
1 operation. Every call needs a session cookie or an Authorization: Bearer nct_… token unless marked Public. Conventions, errors and scopes
/audit-eventsList audit events, newest first
Requires the admin scope (browser sessions hold every scope). Filter by projectId, resourceId and type (an action prefix).
| Parameter | In | Type | Description |
|---|---|---|---|
cursor | query | string | Opaque cursor from a previous page's nextCursor |
limit | query | integer (int64) | Page size (default 50, max 200) |
projectId | query | string (uuid) | Only events of this project |
resourceId | query | string | Only events about this resource (service, deployment, …) |
type | query | string | Action prefix, e.g. deployment. or variable.set |
Response 200 · OK · application/json
PageAuditEvent
- AuditEvent[] | nullrequired
- nextCursorstringPresent when more items exist
Errors
401Unauthorized403Forbidden422Unprocessable Entity500Internal Server Error
Errors are RFC 9457 application/problem+json with a stable code field.